## python-setuptools 32.3.1

=== docs/requirements.txt ===
rst.linker>=1.6.1

## python-setuptools 0.6c6-1osso2

=== debian/changelog ===
python-setuptools (0.6c6-1osso2) unstable; urgency=low

  * Update package type to any instead of all, due to buildbot restrictions.

 -- Lauro Moura Maranhao Neto <lauro.neto@openbossa.org>  Mon, 30 Jun 2008 10:56:45 -0300

python-setuptools (0.6c6-1osso1) unstable; urgency=low

  * First port to Maemo platform

 -- Luciano Miguel Wolf <luciano.wolf@indt.org.br>  Thu,  3 Jan 2008 16:15:30 -0300

python-setuptools (0.6c6-1) unstable; urgency=low

  * New upstream version (release candidate 6). Closes: #433556.

 -- Matthias Klose <doko@debian.org>  Wed, 25 Jul 2007 02:11:49 +0200

python-setuptools (0.6c5-1ubuntu1) feisty; urgency=low

  * Use the unversioned interpreter name for scripts without
    version suffix. Ubuntu #94309.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 29 Mar 2007 10:18:33 +0000

python-setuptools (0.6c5-1) unstable; urgency=low

  * New upstream version (release candidate 5).

 -- Matthias Klose <doko@debian.org>  Wed, 17 Jan 2007 18:00:39 +0000

python-setuptools (0.6c3-3) unstable; urgency=low

  * Drop 2.3.

 -- Matthias Klose <doko@debian.org>  Tue, 24 Oct 2006 00:47:58 +0200

python-setuptools (0.6c3-2) unstable; urgency=low

  * Build for 2.3, 2.4, 2.5.

 -- Matthias Klose <doko@debian.org>  Sun, 22 Oct 2006 22:03:03 +0000

python-setuptools (0.6c3-1) unstable; urgency=medium

  * New upstream version (release candidate 3). Closes: #389780.

 -- Matthias Klose <doko@debian.org>  Wed,  4 Oct 2006 00:49:36 +0200

python-setuptools (0.6c2-1) unstable; urgency=low

  * New upstream version (release candidate 2). Closes: #382573.
  * /usr/bin/easy_install-2.3: Use python2.3 s interpreter. Closes: #386318.

 -- Matthias Klose <doko@debian.org>  Fri,  8 Sep 2006 03:19:43 +0200

python-setuptools (0.6b3-3) unstable; urgency=low

  * Workaround #375437.

 -- Matthias Klose <doko@debian.org>  Mon,  3 Jul 2006 14:08:53 +0000

python-setuptools (0.6b3-2) unstable; urgency=low

  * Add entry points for all versioned console scripts. Closes: #375975.

 -- Matthias Klose <doko@debian.org>  Sun,  2 Jul 2006 15:14:35 +0000

python-setuptools (0.6b3-1) unstable; urgency=low

  * New upstream version (closes: #354621).
    - OverflowError for amd64 build fixed (closes: #352176).

 -- Matthias Klose <doko@debian.org>  Fri,  9 Jun 2006 22:14:10 +0200

python-setuptools (0.6a8-0.1) unstable; urgency=low

  * NMU with maintainer approval
  * New upstream release
  * debian/rules: Create setuptools.pth to instruct python where the
    module is located. Closes: #330562

 -- Otavio Salvador <otavio@debian.org>  Thu, 24 Nov 2005 19:26:43 -0200

python-setuptools (0.6a6-1) unstable; urgency=low

  * New upstream version (closes: #335101).

 -- Matthias Klose <doko@debian.org>  Sun, 23 Oct 2005 13:14:22 +0000

python-setuptools (0.6a2-0.1) unstable; urgency=low

  * NMU with maintainer approval
  * New upstream release
  * Include a watch file to be easier to upgrade next time
  * Bump Standards-Version to 3.6.2 (no changes need)
  * Use Build-Depends-Indep since we don't build architecture dependent
    packages
  * Don't remove setuptools.egg-info directory on clean target since it's
    used now on building system since it use entry_points feature to its
    install

 -- Otavio Salvador <otavio@debian.org>  Sat, 24 Sep 2005 17:00:56 -0300

python-setuptools (0.5a13-1) unstable; urgency=low

  * New upstream version 0.5a13.

 -- Matthias Klose <doko@debian.org>  Mon, 18 Jul 2005 12:58:21 +0200

python-setuptools (0.0.1.041214-0ubuntu1) hoary; urgency=low

  * Initial Release.

 -- Matthias Klose <m@klose.in-berlin.de>  Tue, 14 Dec 2004 12:45:14 +0100

=== debian/control ===
Source: python-setuptools
Section: python
Priority: optional
Maintainer: Luciano Miguel Wolf <luciano.wolf@indt.org.br>
Build-Depends-Indep: debhelper (>= 4.2.32), python2.5-dev (>= 2.5.1-1osso4)
Standards-Version: 3.6.1

Package: python2.5-setuptools
Architecture: any
Depends: python2.5-dev (>= 2.5.1-1osso4)
Description: Python Distutils Enhancements
 Extensions to the python-distutils for large or complex distributions.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

# setuptools doesn't handle translated messages
export LC_ALL=C

PYVERS	:= 2.5
PYVER   := 2.5
SETUPTOOLSVER=$(shell dpkg-parsechangelog | grep 'Version:' | sed 's,Version: \(.*\)-.*,\1,g')
export PYVERS

d = debian/python2.5-setuptools

build: build-stamp
build-stamp: $(PYVERS:%=build-python%)
	touch $@
build-python%:
	python$* setup.py build
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	rm -rf build dist
	#rm -rf setuptools.egg-info
	-find -name '*.py[co]' | xargs rm -f
	dh_clean

install: build install-prereq $(PYVERS:%=install-python%)
	-find debian -name 'setuptools_boot.py*' | xargs rm -f
	-find debian -name '*.py[co]' | xargs rm -f

install-prereq:
	dh_testdir
	dh_testroot
	dh_clean -k

install-python%:
	dh_installdirs usr/bin usr/lib/python$*/site-packages
	python$* setup.py install --root=$(CURDIR)/$(d)

	mv $(d)/usr/lib/python$*/site-packages/setuptools-$(SETUPTOOLSVER)-py$*.egg-info \
	  $(d)/usr/lib/python$*/site-packages/setuptools.egg-info
	echo setuptools-$(SETUPTOOLSVER).egg-info \
	  > $(d)/usr/lib/python$*/site-packages/setuptools.pth


binary-indep: build install
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs -i
	dh_installdocs -i -A setuptools.txt EasyInstall.txt
	dh_compress -i
	dh_fixperms -i
	: # Replace all '#!' calls to python with $(PYTHON)
	: # and make them executable
	for i in \
	  $(d)/usr/bin/easy_install \
	  `find $(d)/usr/lib -type f`; \
	do \
	  case "$$i" in *-[0-9].[0-9]) continue; esac; \
	  sed '1s,#!.*python[^ ]*\(.*\),#! /usr/bin/python\1,' \
	        $$i > $$i.temp; \
	  if cmp --quiet $$i $$i.temp; then \
	    rm -f $$i.temp; \
	  else \
	    mv -f $$i.temp $$i; \
	    chmod 755 $$i; \
	    echo "fixed interpreter: $$i"; \
	  fi; \
	done
	sed -i -e 's/python2\../python2.5/g' \
		$(d)/usr/bin/easy_install-2.5
	dh_installdeb 
	dh_gencontrol 
	dh_md5sums 
	dh_builddeb

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
http://cheeseshop.python.org/packages/source/s/setuptools/setuptools-([0-9a-z.]*).*.zip debian uupdate

## python-setuptools 3.3

=== debian/changelog ===
python-setuptools (3.3-1ubuntu1) trusty; urgency=medium

  * Stop building for Python 3.3.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Mar 2014 09:06:50 +0100

python-setuptools (3.3-1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Sat, 22 Mar 2014 18:36:35 +0100

python-setuptools (2.2-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Tue, 18 Feb 2014 14:59:08 +0100

python-setuptools (2.1-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Sun, 26 Jan 2014 21:55:39 +0100

python-setuptools (2.0.2-1) unstable; urgency=medium

  * New upstream version.
  * On installation with --install-layout=deb, rename extensions for
    python 3.3 (and newer) to include the multiarch tag.
    Renaming of extensions for python3.4 is currently not done by dh-python.
    See Debian #733128.

 -- Matthias Klose <doko@debian.org>  Tue, 31 Dec 2013 13:08:43 +0100

python-setuptools (2.0.1-2) unstable; urgency=medium

  * Build for python3.4.

 -- Matthias Klose <doko@debian.org>  Thu, 26 Dec 2013 00:20:51 +0100

python-setuptools (2.0.1-1) unstable; urgency=medium

  * New upstream version.
  * Depend on python:any/python3:any rather than python/python3.
  * Rename python-distribute-doc to python-setuptools-doc.

 -- Matthias Klose <doko@debian.org>  Sat, 21 Dec 2013 20:40:24 +0100

python-setuptools (1.4.2-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Mon, 02 Dec 2013 16:55:48 +0100

python-setuptools (1.3.2-1) experimental; urgency=low

  * New upstream version (converged setuptools / distribute release).

 -- Matthias Klose <doko@debian.org>  Mon, 11 Nov 2013 21:45:15 +0100

distribute (0.6.49-2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix typo on python version in rules file. Closes: #715556.

 -- Matthias Klose <doko@debian.org>  Sun, 04 Aug 2013 12:21:20 +0200

distribute (0.6.49-1) unstable; urgency=low

  * New upstream version.
  * Stop building for python3.2.

 -- Matthias Klose <doko@debian.org>  Sun, 04 Aug 2013 12:13:21 +0200

distribute (0.6.37-1) unstable; urgency=low

  * New upstream version.
  * Stop building for python2.6. Closes: #707140.

 -- Matthias Klose <doko@debian.org>  Wed, 08 May 2013 23:55:38 +0200

distribute (0.6.36-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Sun, 07 Apr 2013 21:56:28 +0200

distribute (0.6.34-1) experimental; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Sun, 20 Jan 2013 17:46:12 +0100

distribute (0.6.29-1) experimental; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Sun, 21 Oct 2012 19:41:01 +0200

distribute (0.6.28-1) experimental; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Wed, 29 Aug 2012 11:43:26 +0200

distribute (0.6.24-1) unstable; urgency=low

  * New upstream version. Closes: #632516.

 -- Matthias Klose <doko@debian.org>  Sat, 22 Oct 2011 22:38:22 +0200

distribute (0.6.16-1) unstable; urgency=medium

  * New upstream version.
  * Support Python >=3.1.4 and >=3.2.1.

 -- Matthias Klose <doko@debian.org>  Fri, 20 May 2011 11:30:25 +0200

distribute (0.6.15-2) unstable; urgency=low

  * Stop building for python2.5 and python3.1.

 -- Matthias Klose <doko@debian.org>  Mon, 18 Apr 2011 21:58:45 +0200

distribute (0.6.15-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Mon, 21 Mar 2011 01:37:31 +0100

distribute (0.6.14-5) experimental; urgency=low

  * Build for python 2.7 and 3.2.

 -- Matthias Klose <doko@debian.org>  Thu, 14 Oct 2010 15:45:57 +0200

distribute (0.6.14-4) unstable; urgency=low

  * Upload to unstable.

 -- Matthias Klose <doko@debian.org>  Wed, 06 Oct 2010 01:54:38 +0200

distribute (0.6.14-3) experimental; urgency=low

  * Tighten build dependency on python3, remove b-d on python-central.

 -- Matthias Klose <doko@debian.org>  Sun, 12 Sep 2010 16:56:04 +0200

distribute (0.6.14-2) experimental; urgency=low

  * For python3, install into /usr/lib/python3/dist-packages by
    default, when setup.py install is called with --install-layout=deb.

 -- Matthias Klose <doko@debian.org>  Thu, 09 Sep 2010 19:04:09 +0200 

distribute (0.6.14-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Sat, 17 Jul 2010 13:41:28 +0200

distribute (0.6.10-4) unstable; urgency=low

  * Don't include 3.1 related files in the filelists of python-* packages.
    Closes: #574153.

 -- Matthias Klose <doko@debian.org>  Thu, 18 Mar 2010 12:27:47 +0100

distribute (0.6.10-3) unstable; urgency=low

  * Don't ship the python3 files in the python-* packages. Closes: #574079.

 -- Matthias Klose <doko@debian.org>  Tue, 16 Mar 2010 08:23:18 +0100

distribute (0.6.10-2) unstable; urgency=low

  * Build packages for python3.1.

 -- Matthias Klose <doko@debian.org>  Sun, 14 Mar 2010 16:51:00 +0100

distribute (0.6.10-1) unstable; urgency=low

  * New upstream version.
  * Stop building for python2.4. Closes: #557000.

 -- Matthias Klose <doko@debian.org>  Mon, 28 Dec 2009 23:52:40 +0100

distribute (0.6.8-1) unstable; urgency=low

  * New upstream version.
  * Stop building for python2.4. Closes: #557000.

 -- Matthias Klose <doko@debian.org>  Thu, 12 Nov 2009 02:12:16 +0100

distribute (0.6.6-1) unstable; urgency=low

  * New upstream version.
  * Don't build python-distribute (yet). Move the egg-info into
    python-setuptools. Closes: #552154.

 -- Matthias Klose <doko@debian.org>  Sat, 24 Oct 2009 13:13:23 +0200

distribute (0.6.4-1) unstable; urgency=low

  * Build python-setuptools from the `distribute' fork.

 -- Matthias Klose <doko@debian.org>  Tue, 20 Oct 2009 00:12:26 +0200

python-setuptools (0.6c9-0ubuntu5) karmic; urgency=low

  * Fix building extensions with recent python 2.6.2+. Patch taken from


=== debian/control ===
Source: python-setuptools
Section: python
Priority: optional
Maintainer: Matthias Klose <doko@debian.org>
Build-Depends-Indep: python-all-dev (>= 2.6.6-2~), python3-all-dev (>= 3.1.2-8~),
  python3.4-dev,
  python-sphinx (>= 1.0.7+dfsg) | python3-sphinx
Build-Depends: debhelper (>= 5.0.37.1)
Standards-Version: 3.9.5
Homepage: https://pypi.python.org/pypi/setuptools

Package: python-pkg-resources
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Suggests: python-distribute, python-distribute-doc
Conflicts: python-setuptools (<< 0.6c8-3)
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: Package Discovery and Resource Access using pkg_resources
 The pkg_resources module provides an API for Python libraries to
 access their resource files, and for extensible applications and
 frameworks to automatically discover plugins.  It also provides
 runtime support for using C extensions that are inside zipfile-format
 eggs, support for merging packages that have separately-distributed
 modules or subpackages, and APIs for managing Python's current
 "working set" of active packages.

Package: python-setuptools
Architecture: all
Depends: ${python:Depends}, python-pkg-resources (= ${binary:Version}), ${misc:Depends}
Conflicts: python-distribute (<< 0.7)
Replaces: python-distribute (<< 0.6.6)
Provides: ${python:Provides}, python-distribute
XB-Python-Version: ${python:Versions}
Description: Python Distutils Enhancements (setuptools compatibility)
 Extensions to the python-distutils for large or complex distributions.

Package: python-setuptools-doc
Architecture: all
Section: doc
Depends: libjs-jquery, ${misc:Depends}
Conflicts: python-distribute-doc
Replaces: python-distribute-doc
Description: Python Distutils Enhancements (based on distribute), documentation
 Extensions to the Python distutils for large or complex distributions.
 The package contains the documentation in html format.

Package: python3-pkg-resources
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Provides: ${python3:Provides}
Suggests: python3-setuptools
Conflicts: python-pkg-resources (= 0.6.10-2)
Description: Package Discovery and Resource Access using pkg_resources
 The pkg_resources module provides an API for Python libraries to
 access their resource files, and for extensible applications and
 frameworks to automatically discover plugins.  It also provides
 runtime support for using C extensions that are inside zipfile-format
 eggs, support for merging packages that have separately-distributed
 modules or subpackages, and APIs for managing Python's current
 "working set" of active packages.

Package: python3-setuptools
Architecture: all
Depends: ${python3:Depends}, python3-pkg-resources (= ${binary:Version}), ${misc:Depends}
Provides: ${python3:Provides}
Conflicts: python-setuptools (= 0.6.10-2)
Description: Python3 Distutils Enhancements (setuptools compatibility)
 Extensions to the python-distutils for large or complex distributions.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

# setuptools doesn't handle translated messages
export LC_ALL=C

#PYVERS	:= 2.3 2.5 $(shell pyversions -vr debian/control)
XPYVERS	:= 2.7
PYVERS	:= 2.7
PYVERS3	:= 3.4
PYVER   := $(shell python -c 'import sys; print sys.version[:3]')
SETUPTOOLSVER=1.3.2
export XPYVERS

include /usr/share/python3/python.mk

pname = $(if $(findstring 3.,$(2)),$(subst python-,python3-,$(1)),$(1))

p_pkgr	= python-pkg-resources
p_setp	= python-setuptools
p_doc	= python-setuptools-doc

d_pkgr	= debian/$(p_pkgr)
d_setp	= debian/$(p_setp)
d_doc	= debian/$(p_doc)

build: build-stamp
build-arch: build-stamp
build-indep: build-stamp build-doc-stamp
build-stamp: $(PYVERS:%=build-python%) $(PYVERS3:%=build-python%) build-doc-stamp
	touch $@
build-doc-stamp:
	PYTHONPATH=$(CURDIR) \
		sh -c 'cd docs && sphinx-build -b html -d build/doctrees . build/html'
	touch $@
build-python%: pre-build-stamp
	python$* setup.py build
	touch $@
pre-build-stamp:
	[ -d setuptools.egg-info.saved ] || cp -a setuptools.egg-info setuptools.egg-info.saved
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-python* build-doc-stamp build-stamp
	rm -rf build dist
	-find -name __pycache__ | xargs rm -rf
	-find -name '*.py[co]' | xargs rm -f
	rm -rf docs/build
	rm -f template* \(dev\).py
	if [ -d setuptools.egg-info.saved ]; then \
		rm -rf setuptools.egg-info; \
		mv setuptools.egg-info.saved setuptools.egg-info; \
	fi
	dh_clean

install: build install-prereq $(PYVERS:%=install-python%) $(PYVERS3:%=install-python%)
	find debian -name 'setuptools_boot.py*' | xargs -r rm -f
	find debian -name '*.py[co]' | xargs -r rm -f
	pkgs=$$(dh_listpackages); cd debian && find $$pkgs -mindepth 1 -type d -empty -print -delete

	rm -f debian/python-*/usr/bin/easy_install-3*
	rm -f debian/python3-*/usr/bin/easy_install-2*
	mv debian/python3-setuptools/usr/bin/easy_install \
	  debian/python3-setuptools/usr/bin/easy_install3

	: # Replace all '#!' calls to python with $(PYTHON)
	: # and make them executable
	for i in \
	  `find debian/python-*/usr/lib debian/python-*/usr/bin -type f`; \
	do \
	  case "$$i" in *-[0-9].[0-9]) continue; esac; \
	  sed '1s,#!.*python[^ ]*\(.*\),#! /usr/bin/python\1,' \
	        $$i > $$i.temp; \
	  if cmp --quiet $$i $$i.temp; then \
	    rm -f $$i.temp; \
	  else \
	    mv -f $$i.temp $$i; \
	    chmod 755 $$i; \
	    echo "fixed interpreter: $$i"; \
	  fi; \
	done

	for i in \
	  `find debian/python3-*/usr/lib debian/python3-*/usr/bin -type f`; \
	do \
	  case "$$i" in *-[0-9].[0-9]) continue; esac; \
	  sed '1s,#!.*python[^ ]*\(.*\),#! /usr/bin/python3\1,' \
	        $$i > $$i.temp; \
	  if cmp --quiet $$i $$i.temp; then \
	    rm -f $$i.temp; \
	  else \
	    mv -f $$i.temp $$i; \
	    chmod 755 $$i; \
	    echo "fixed interpreter: $$i"; \
	  fi; \
	done

install-prereq:
	dh_testdir
	dh_testroot
	dh_clean -k

install-python%:
	dh_installdirs -A usr/bin /$(call py_libdir,$*)
	python$* setup.py install \
	  --root=$(CURDIR)/$(call pname,$(d_setp),$*) --install-layout=deb

	mv $(call pname,$(d_setp),$*)/$(call py_libdir,$*)/pkg_resources.py \
	  $(call pname,$(d_pkgr),$*)/$(call py_libdir,$*)/

#	mv $(call pname,$(d_setp),$*)/$(call py_libdir,$*)/setuptools-$(SETUPTOOLSVER).egg-info \
#	  $(call pname,$(d_setp),$*)/$(call py_libdir,$*)/setuptools.egg-info

	echo setuptools-$(SETUPTOOLSVER).egg-info \
	  > $(call pname,$(d_setp),$*)/$(call py_libdir,$*)/setuptools.pth

binary-arch:

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs -p$(p_setp) CHANGES.txt
	dh_installchangelogs -N$(p_setp)
	dh_installdocs -N$(p_setp) -N$(p_pkgr)
	dh_installdocs -p$(p_pkgr) docs/pkg_resources.txt
	dh_installdocs -p$(p_setp) -Xpkg_resources docs/*.txt
	mkdir -p $(d_doc)/usr/share/doc/$(p_dist)
	cp -pr docs/build/html $(d_doc)/usr/share/doc/$(p_dist)/
	dh_sphinxdoc -p$(p_doc)
	dh_link -p$(p_doc) \
	  /usr/share/doc/$(p_dist)/html /usr/share/doc/$(p_doc)/html \
	  /usr/share/doc/$(p_dist)/html /usr/share/doc/$(p_setp)/html \

#	  /usr/share/javacript/jquery/jquery.js /usr/share/doc/$(p_dist)/html/_static/jquery.js
	dh_compress -i
	dh_fixperms -i

	for v in $(filter-out 3.%, $(PYVERS)); do \
	  sed -i "s/python2\../python$$v/g" $(d_setp)/usr/bin/easy_install-$$v; \
	done
#	for v in $(filter-out 2.%, $(PYVERS)); do \
#	  sed -i "s/python3\../python$$v/g" debian/$(call pname,$(p_setp),3.1)/usr/bin/easy_install-$$v; \
#	done

	dh_python2 -p$(p_pkgr) -p$(p_setp) #-p$(p_dist)
	cat $(d_setp).substvars
	( \
	  echo 'python:Versions=2.7'; \
	  echo 'python:Provides=python2.7-setuptools'; \
	  echo 'python:Depends=python:any (>= 2.7), python:any (<< 2.8)'; \
	) > $(d_setp).substvars
	cp $(d_setp).substvars $(d_pkgr).substvars

	dh_python3 -p$(call pname,$(p_pkgr),3.4) -p$(call pname,$(p_setp),3.4) # -p$(call pname,$(p_dist),3.4)
	cat debian/$(call pname,$(p_setp),3.4).substvars
	cat debian/$(call pname,$(p_pkgr),3.4).substvars

##	cp $(d_setp).substvars $(d_dist).substvars

	( \
	  echo 'python3:Versions=3.4'; \
	  echo 'python3:Provides=python3.4-setuptools'; \
	  echo 'python3:Depends=python3:any (>= 3.4), python3:any (<< 3.5)'; \
	) > $(call pname,$(d_setp),3.4).substvars
	cp $(call pname,$(d_setp),3.4).substvars $(call pname,$(d_pkgr),3.4).substvars

	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/d/distribute/distribute-([0-9.]*).tar.gz

## python-setuptools 5.5.1

=== debian/changelog ===
python-setuptools (5.5.1-1) unstable; urgency=medium

  * New upstream version. Closes: #754089.

 -- Matthias Klose <doko@debian.org>  Tue, 12 Aug 2014 13:50:59 +0200

python-setuptools (5.4.1-1) unstable; urgency=medium

  * New upstream version. Closes: #754089.

 -- Matthias Klose <doko@debian.org>  Mon, 07 Jul 2014 19:33:26 +0200

python-setuptools (5.3-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Wed, 02 Jul 2014 00:18:03 +0200

python-setuptools (4.0.1-1) unstable; urgency=medium

  * New upstream version.
  * Stop building for python 3.3. Closes: #751070.

 -- Matthias Klose <doko@debian.org>  Tue, 10 Jun 2014 17:38:45 +0200

python-setuptools (3.6-1) unstable; urgency=medium

  * New upstream version.
  * Build a python-setuptools-whl package (Barry Warsaw). Closes: #748299.
  * Fix installation of the html documentation. Closes: #737889, #748586.

 -- Matthias Klose <doko@debian.org>  Wed, 21 May 2014 11:19:00 +0200

python-setuptools (3.4.4-1) unstable; urgency=medium

  * New upstream version.
    - Fix #184, build directory included into the package. Closes: #743644.

 -- Matthias Klose <doko@debian.org>  Sat, 12 Apr 2014 21:28:18 +0200

python-setuptools (3.4.1-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Thu, 03 Apr 2014 22:02:29 +0200

=== debian/rules ===
--- 
+++ 
@@ -61,7 +61,7 @@
 	fi
 	dh_clean
 
-install: build install-prereq $(PYVERS:%=install-python%) $(PYVERS3:%=install-python%)
+install: build install-prereq $(PYVERS:%=install-python%) $(PYVERS3:%=install-python%) install-wheel
 	find debian -name 'setuptools_boot.py*' | xargs -r rm -f
 	find debian -name '*.py[co]' | xargs -r rm -f
 	pkgs=$$(dh_listpackages); cd debian && find $$pkgs -mindepth 1 -type d -empty -print -delete
@@ -122,6 +122,12 @@
 	echo setuptools-$(SETUPTOOLSVER).egg-info \
 	  > $(call pname,$(d_setp),$*)/$(call py_libdir,$*)/setuptools.pth
 
+install-wheel:
+	mkdir -p debian/python-setuptools-whl/usr/share/python-wheels
+	python3 setup.py bdist_wheel --universal \
+	        -d debian/python-setuptools-whl/usr/share/python-wheels
+	dh_installdirs -ppython-setuptools-whl usr/share
+
 binary-arch:
 
 binary-indep: build install
@@ -132,14 +138,13 @@
 	dh_installdocs -N$(p_setp) -N$(p_pkgr)
 	dh_installdocs -p$(p_pkgr) docs/pkg_resources.txt
 	dh_installdocs -p$(p_setp) -Xpkg_resources docs/*.txt
-	mkdir -p $(d_doc)/usr/share/doc/$(p_dist)
-	cp -pr docs/build/html $(d_doc)/usr/share/doc/$(p_dist)/
+	mkdir -p $(d_doc)/usr/share/doc/$(p_doc)
+	cp -pr docs/build/html $(d_doc)/usr/share/doc/$(p_doc)/
 	dh_sphinxdoc -p$(p_doc)
 	dh_link -p$(p_doc) \
-	  /usr/share/doc/$(p_dist)/html /usr/share/doc/$(p_doc)/html \
-	  /usr/share/doc/$(p_dist)/html /usr/share/doc/$(p_setp)/html \
+	  /usr/share/doc/$(p_doc)/html /usr/share/doc/$(p_setp)/html \
+	  /usr/share/doc/$(p_doc)/html /usr/share/doc/$(p_setp3)/html
 
-#	  /usr/share/javacript/jquery/jquery.js /usr/share/doc/$(p_dist)/html/_static/jquery.js
 	dh_compress -i
 	dh_fixperms -i
 
@@ -159,18 +164,18 @@
 	) > $(d_setp).substvars
 	cp $(d_setp).substvars $(d_pkgr).substvars
 
-	dh_python3 -p$(call pname,$(p_pkgr),3.4) -p$(call pname,$(p_setp),3.4) # -p$(call pname,$(p_dist),3.4)
-	cat debian/$(call pname,$(p_setp),3.4).substvars
-	cat debian/$(call pname,$(p_pkgr),3.4).substvars
+	dh_python3 -p$(call pname,$(p_pkgr),3.3) -p$(call pname,$(p_setp),3.3) # -p$(call pname,$(p_dist),3.3)
+	cat debian/$(call pname,$(p_setp),3.2).substvars
+	cat debian/$(call pname,$(p_pkgr),3.2).substvars
 
 ##	cp $(d_setp).substvars $(d_dist).substvars
 
 	( \
-	  echo 'python3:Versions=3.4'; \
-	  echo 'python3:Provides=python3.4-setuptools'; \
-	  echo 'python3:Depends=python3:any (>= 3.4), python3:any (<< 3.5)'; \
-	) > $(call pname,$(d_setp),3.4).substvars
-	cp $(call pname,$(d_setp),3.4).substvars $(call pname,$(d_pkgr),3.4).substvars
+	  echo 'python3:Versions=3.3'; \
+	  echo 'python3:Provides=python3.3-setuptools'; \
+	  echo 'python3:Depends=python3:any (>= 3.3), python3:any (<< 3.5)'; \
+	) > $(call pname,$(d_setp),3.3).substvars
+	cp $(call pname,$(d_setp),3.3).substvars $(call pname,$(d_pkgr),3.3).substvars
 
 	dh_installdeb -i
 	dh_gencontrol -i

## python-setuptools 12.2

=== debian/changelog ===
python-setuptools (12.2-1) experimental; urgency=medium

  * New upstream version. Closes: #779036, #773969.

 -- Matthias Klose <doko@debian.org>  Thu, 26 Feb 2015 15:04:59 +0100

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,10 @@
 Maintainer: Matthias Klose <doko@debian.org>
 Build-Depends-Indep: python-all-dev (>= 2.6.6-2~), python3-all-dev (>= 3.1.2-8~),
   python3.4-dev,
-  python-sphinx (>= 1.0.7+dfsg) | python3-sphinx
+  python-sphinx (>= 1.0.7+dfsg) | python3-sphinx,
+  python3-wheel
 Build-Depends: debhelper (>= 5.0.37.1)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://pypi.python.org/pypi/setuptools
 
 Package: python-pkg-resources
@@ -32,7 +33,7 @@
 Replaces: python-distribute (<< 0.6.6)
 Provides: ${python:Provides}, python-distribute
 XB-Python-Version: ${python:Versions}
-Description: Python Distutils Enhancements (setuptools compatibility)
+Description: Python Distutils Enhancements
  Extensions to the python-distutils for large or complex distributions.
 
 Package: python-setuptools-doc
@@ -41,7 +42,7 @@
 Depends: libjs-jquery, ${misc:Depends}
 Conflicts: python-distribute-doc
 Replaces: python-distribute-doc
-Description: Python Distutils Enhancements (based on distribute), documentation
+Description: Python Distutils Enhancements (documentation)
  Extensions to the Python distutils for large or complex distributions.
  The package contains the documentation in html format.
 
@@ -65,5 +66,13 @@
 Depends: ${python3:Depends}, python3-pkg-resources (= ${binary:Version}), ${misc:Depends}
 Provides: ${python3:Provides}
 Conflicts: python-setuptools (= 0.6.10-2)
-Description: Python3 Distutils Enhancements (setuptools compatibility)
+Description: Python3 Distutils Enhancements
  Extensions to the python-distutils for large or complex distributions.
+
+Package: python-setuptools-whl
+Architecture: all
+Depends: ${python3:Depends}, ${misc:Depends}
+Description: Python Distutils Enhancements (wheel package)
+ Extensions to the python-distutils for large or complex distributions.
+ .
+ This package provides setuptools in PEP 427 wheel format.

=== debian/rules ===
--- 
+++ 
@@ -36,8 +36,9 @@
 build-stamp: $(PYVERS:%=build-python%) $(PYVERS3:%=build-python%) build-doc-stamp
 	touch $@
 build-doc-stamp:
-	PYTHONPATH=$(CURDIR) \
-		sh -c 'cd docs && sphinx-build -b html -d build/doctrees . build/html'
+	$(MAKE) -C docs html
+#	PYTHONPATH=$(CURDIR) \
+#		sh -c 'cd docs && sphinx-build -b html -d build/doctrees . build/html'
 	touch $@
 build-python%: pre-build-stamp
 	python$* setup.py build
@@ -113,7 +114,7 @@
 	python$* setup.py install \
 	  --root=$(CURDIR)/$(call pname,$(d_setp),$*) --install-layout=deb
 
-	mv $(call pname,$(d_setp),$*)/$(call py_libdir,$*)/pkg_resources.py \
+	mv $(call pname,$(d_setp),$*)/$(call py_libdir,$*)/pkg_resources \
 	  $(call pname,$(d_pkgr),$*)/$(call py_libdir,$*)/
 
 #	mv $(call pname,$(d_setp),$*)/$(call py_libdir,$*)/setuptools-$(SETUPTOOLSVER).egg-info \
@@ -164,18 +165,18 @@
 	) > $(d_setp).substvars
 	cp $(d_setp).substvars $(d_pkgr).substvars
 
-	dh_python3 -p$(call pname,$(p_pkgr),3.3) -p$(call pname,$(p_setp),3.3) # -p$(call pname,$(p_dist),3.3)
-	cat debian/$(call pname,$(p_setp),3.2).substvars
-	cat debian/$(call pname,$(p_pkgr),3.2).substvars
+	dh_python3 -p$(call pname,$(p_pkgr),3.4) -p$(call pname,$(p_setp),3.4) # -p$(call pname,$(p_dist),3.3)
+	cat debian/$(call pname,$(p_setp),3.4).substvars
+	cat debian/$(call pname,$(p_pkgr),3.4).substvars
 
 ##	cp $(d_setp).substvars $(d_dist).substvars
 
 	( \
-	  echo 'python3:Versions=3.3'; \
-	  echo 'python3:Provides=python3.3-setuptools'; \
-	  echo 'python3:Depends=python3:any (>= 3.3), python3:any (<< 3.5)'; \
-	) > $(call pname,$(d_setp),3.3).substvars
-	cp $(call pname,$(d_setp),3.3).substvars $(call pname,$(d_pkgr),3.3).substvars
+	  echo 'python3:Versions=3.4'; \
+	  echo 'python3:Provides=python3.4-setuptools'; \
+	  echo 'python3:Depends=python3:any (>= 3.4), python3:any (<< 3.5)'; \
+	) > $(call pname,$(d_setp),3.4).substvars
+	cp $(call pname,$(d_setp),3.4).substvars $(call pname,$(d_pkgr),3.4).substvars
 
 	dh_installdeb -i
 	dh_gencontrol -i

## python-setuptools 18.4

=== debian/changelog ===
python-setuptools (18.4-1~cloud0) trusty-liberty; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Sun, 11 Oct 2015 21:58:46 +0000

python-setuptools (18.4-1) unstable; urgency=medium

  * New upstream version.
  * Provide a unified entry_points.txt file.

 -- Matthias Klose <doko@debian.org>  Sun, 11 Oct 2015 13:06:42 +0200

python-setuptools (18.3.1-2) unstable; urgency=medium

  * Don't blow away egg-info on clean (Stefano Rivera).
  * Remove the build dependency on python-setuptools.

 -- Matthias Klose <doko@debian.org>  Fri, 11 Sep 2015 20:33:13 +0200

python-setuptools (18.3.1-1) unstable; urgency=medium

  * New upstream version.
  * Build-depend on python-setuptools. Without this dependency, the scripts
    are not installed. Not yet known, why.  Closes: #795455.
  * Install the upstream changes file, not the empty history file.
    Closes: #798078.
  * Suggests the python-setuptools-doc package. Closes: #797731.

 -- Matthias Klose <doko@debian.org>  Thu, 10 Sep 2015 18:28:54 +0200

python-setuptools (18.2-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Fri, 04 Sep 2015 22:29:34 +0200

python-setuptools (18.0.1-2) unstable; urgency=medium

  [ Stefano Rivera ]
  * Port to pybuild:
    - Build-Depend on dh-python.
  * Bump debhelper compat to 9 (and Build-Depends to >= 9)
  * Replace unnecessary dependencies on python*-all-dev packages with -all.
  * Drop deprecated ${python:Versions} and ${python:Provides} substitutions.
  * Drop constraints on packages that pre-date oldoldstable.
  * Add Suggests: python-setuptools on python-pkg-resources, matching
    python3-pkg-resources.
  * Drop ancient and irrelevant README.Debian.
  * Use dh_sphinxdoc's generated dependencies.
  * Replace accidental /usr/share/doc/html symlink with the intended
    /usr/share/doc/python3-setuptools/html.
  * Drop unnecessary easy_install-X.Y binaries.
    Users can use pythonX.Y -m easy_install, instead.
  * Drop .pth file. No longer necessary, we don't install eggs.
  * Add binary packages for pypy. Requires Build-Depends: pypy. Closes: #735855.

 -- Matthias Klose <doko@debian.org>  Mon, 03 Aug 2015 14:21:28 +0200

python-setuptools (18.0.1-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Tue, 21 Jul 2015 21:45:52 +0200

python-setuptools (17.0-1) unstable; urgency=medium

  * New upstream version.
  * Fix another issue with the multiarch patch (which can be dropped once
    3.5 is the only version in the distro).

 -- Matthias Klose <doko@debian.org>  Fri, 29 May 2015 15:13:19 +0200

python-setuptools (16.0-2) unstable; urgency=medium

  * Fix syntax error in multiarch patch (Brian Warner). Closes: #786446.

 -- Matthias Klose <doko@debian.org>  Thu, 21 May 2015 23:43:05 +0200

python-setuptools (16.0-1) unstable; urgency=medium

  * New upstream version. Closes: #784364.
  * Build for python 3.5.
  * Fix lintian warnings.
  * Build without the rst.linker plugin, not yet packaged.
  * python3-setuptools: Conflict with python3.5 (<< 3.5.0~a4-5).

 -- Matthias Klose <doko@debian.org>  Tue, 19 May 2015 11:56:21 +0200

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2,python3,pypy,sphinxdoc --buildsystem pybuild

# no versioned easy_install scripts
export SETUPTOOLS_DISABLE_VERSIONED_EASY_INSTALL_SCRIPT = yes

# versioned easy_install scripts
#export XPYVERSIONS  = 2.7
#export XPY3VERSIONS = 3.4 3.5

override_dh_auto_test:

override_dh_auto_install:
	dh_auto_install

	$(MAKE) -C docs html

	mkdir -p debian/python-setuptools-whl/usr/share/python-wheels
	python3 setup.py bdist_wheel --universal \
	        -d debian/python-setuptools-whl/usr/share/python-wheels

	# dh_pypy from dh-python < 1.20150705-1 falls over requires.txt
	# and our requires.txt aren't useful
	find debian/tmp -name requires.txt -delete

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.txt

override_dh_auto_clean:
	# Keep entry_points, we need it to drive setup.py
	-mv setuptools.egg-info/entry_points.txt .
	dh_auto_clean
	mkdir -p setuptools.egg-info
	mv entry_points.txt setuptools.egg-info

	rm -rf .eggs docs/build

override_dh_install:
	sed -i '1 s,.*,#!/usr/bin/python,' debian/tmp/usr/bin/easy_install
	sed '1 s/python/python3/' debian/tmp/usr/bin/easy_install > \
	   debian/tmp/usr/bin/easy_install3
	sed '1 s/python/pypy/' debian/tmp/usr/bin/easy_install > \
	   debian/tmp/usr/bin/easy_install-pypy
	dh_install

override_dh_installdocs:
	dh_installdocs -p python-pkg-resources -p python3-pkg-resources \
	               -p pypy-pkg-resources \
	               docs/pkg_resources.txt
	dh_installdocs -p python-setuptools -p python3-setuptools \
	               -p pypy-setuptools \
	               -X pkg_resources docs/*.txt
	dh_installdocs -p python-setuptools-doc docs/build/html
	dh_installdocs --remaining-packages
	dh_link -p python-setuptools-doc \
	        /usr/share/doc/python-setuptools-doc/html \
	        /usr/share/doc/python-setuptools/html \
	        /usr/share/doc/python-setuptools-doc/html \
	        /usr/share/doc/python3-setuptools/html \
	        /usr/share/doc/python-setuptools-doc/html \
	        /usr/share/doc/pypy-setuptools/html

## python-setuptools 20.7.0

=== debian/changelog ===
python-setuptools (20.7.0-1ubuntu0.1~esm1) xenial-security; urgency=medium

  * SECURITY UPDATE: ReDOS in package_index.py
    - debian/patches/CVE-2022-40897.patch: Limit the amount of
      whitespace to search/backtrack in setuptools/package_index.py.
    - CVE-2022-40897

 -- David Fernandez Gonzalez <david.fernandezgonzalez@canonical.com>  Fri, 20 Jan 2023 15:44:55 +0100

python-setuptools (20.7.0-1) unstable; urgency=medium

  * New upstream version.
  * Re-add the changes file, missing upstream.

 -- Matthias Klose <doko@debian.org>  Thu, 14 Apr 2016 21:52:22 +0200

python-setuptools (20.3.1-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Fri, 18 Mar 2016 17:08:58 +0100

python-setuptools (20.1.1-1) unstable; urgency=medium

  * New upstream version.
  * Stop building the -whl package.

 -- Matthias Klose <doko@debian.org>  Mon, 15 Feb 2016 19:11:35 +0100

python-setuptools (20.0-2) unstable; urgency=medium

  * Use the pkg_resources from the source when building the docs.

 -- Matthias Klose <doko@debian.org>  Thu, 11 Feb 2016 13:28:36 +0100

python-setuptools (20.0-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Wed, 10 Feb 2016 11:08:25 +0100

python-setuptools (18.8-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Sun, 13 Dec 2015 14:51:22 +0100

python-setuptools (18.7.1-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Fri, 11 Dec 2015 17:32:09 +0100

python-setuptools (18.7-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Tue, 01 Dec 2015 13:14:59 +0100

python-setuptools (18.4-2) unstable; urgency=medium

  * Don't install the SOURCES.txt egg-info file when setup.py is called
    with --install-layout=deb. Closes: #802792.

 -- Matthias Klose <doko@debian.org>  Sat, 24 Oct 2015 16:07:48 +0200

=== debian/control ===
Source: python-setuptools
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
Build-Depends:
 debhelper (>= 9),
 dh-python,
 pypy,
 python-all,
 python3-all,
 python3-sphinx,
 python3-wheel
Build-Conflicts: python-setuptools, python3-setuptools
Standards-Version: 3.9.7
Homepage: https://pypi.python.org/pypi/setuptools

Package: python-pkg-resources
Suggests: python-setuptools
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: Package Discovery and Resource Access using pkg_resources
 The pkg_resources module provides an API for Python libraries to
 access their resource files, and for extensible applications and
 frameworks to automatically discover plugins.  It also provides
 runtime support for using C extensions that are inside zipfile-format
 eggs, support for merging packages that have separately-distributed
 modules or subpackages, and APIs for managing Python's current
 "working set" of active packages.

Package: python-setuptools
Architecture: all
Depends:
 python-pkg-resources (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends}
Suggests: python-setuptools-doc
Provides: python-distribute
Description: Python Distutils Enhancements
 Extensions to the python-distutils for large or complex distributions.

Package: python-setuptools-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Python Distutils Enhancements (documentation)
 Extensions to the Python distutils for large or complex distributions.
 The package contains the documentation in html format.

Package: python3-pkg-resources
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Suggests: python3-setuptools
Description: Package Discovery and Resource Access using pkg_resources
 The pkg_resources module provides an API for Python libraries to
 access their resource files, and for extensible applications and
 frameworks to automatically discover plugins.  It also provides
 runtime support for using C extensions that are inside zipfile-format
 eggs, support for merging packages that have separately-distributed
 modules or subpackages, and APIs for managing Python's current
 "working set" of active packages.

Package: python3-setuptools
Architecture: all
Depends:
 python3-pkg-resources (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends}
Suggests: python-setuptools-doc
Description: Python3 Distutils Enhancements
 Extensions to the python-distutils for large or complex distributions.

Package: pypy-pkg-resources
Suggests: pypy-setuptools
Architecture: all
Depends: ${misc:Depends}, ${pypy:Depends}
Description: Package Discovery and Resource Access using pkg_resources
 The pkg_resources module provides an API for Python libraries to
 access their resource files, and for extensible applications and
 frameworks to automatically discover plugins.  It also provides
 runtime support for using C extensions that are inside zipfile-format
 eggs, support for merging packages that have separately-distributed
 modules or subpackages, and APIs for managing Python's current
 "working set" of active packages.

Package: pypy-setuptools
Architecture: all
Depends:
 pypy-pkg-resources (= ${binary:Version}),
 ${misc:Depends},
 ${pypy:Depends}
Suggests: python-setuptools-doc
Description: PyPy Distutils Enhancements
 Extensions to the python-distutils for large or complex distributions.

#Package: python-setuptools-whl
#Architecture: all
#Depends: ${misc:Depends}
#Description: Python Distutils Enhancements (wheel package)
# Extensions to the python-distutils for large or complex distributions.
# .
# This package provides setuptools in PEP 427 wheel format.

## python-setuptools 20.10.1

=== debian/changelog ===
python-setuptools (20.10.1-1.1~bpo8+1~nd15.10+1) wily; urgency=medium

  * Backported for wily.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Fri, 21 Oct 2016 01:11:23 -0400

python-setuptools (20.10.1-1.1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Ondřej Nový <onovy@debian.org>  Sun, 26 Jun 2016 05:46:06 +0200

python-setuptools (20.10.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Sort libs in native_libs. (Closes: #825857)

 -- Anton Gladky <gladk@debian.org>  Thu, 09 Jun 2016 22:35:35 +0200

python-setuptools (20.10.1-1) unstable; urgency=medium

  * New upstream version.
  * Re-add the changes file, missing upstream.

 -- Matthias Klose <doko@debian.org>  Thu, 14 Apr 2016 21:52:22 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: python-setuptools
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
+Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
+X-Original-Maintainer: Matthias Klose <doko@debian.org>
 Build-Depends:
  debhelper (>= 9),
  dh-python,
@@ -12,13 +12,13 @@
  python3-sphinx,
  python3-wheel
 Build-Conflicts: python-setuptools, python3-setuptools
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: https://pypi.python.org/pypi/setuptools
 
 Package: python-pkg-resources
 Suggests: python-setuptools
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}
+Depends: neurodebian-popularity-contest, ${misc:Depends}, ${python:Depends}
 Description: Package Discovery and Resource Access using pkg_resources
  The pkg_resources module provides an API for Python libraries to
  access their resource files, and for extensible applications and
@@ -30,7 +30,7 @@
 
 Package: python-setuptools
 Architecture: all
-Depends:
+Depends: neurodebian-popularity-contest, 
  python-pkg-resources (= ${binary:Version}),
  ${misc:Depends},
  ${python:Depends}
@@ -42,14 +42,14 @@
 Package: python-setuptools-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Depends: neurodebian-popularity-contest, ${misc:Depends}, ${sphinxdoc:Depends}
 Description: Python Distutils Enhancements (documentation)
  Extensions to the Python distutils for large or complex distributions.
  The package contains the documentation in html format.
 
 Package: python3-pkg-resources
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}
+Depends: neurodebian-popularity-contest, ${misc:Depends}, ${python3:Depends}
 Suggests: python3-setuptools
 Description: Package Discovery and Resource Access using pkg_resources
  The pkg_resources module provides an API for Python libraries to
@@ -62,7 +62,7 @@
 
 Package: python3-setuptools
 Architecture: all
-Depends:
+Depends: neurodebian-popularity-contest, 
  python3-pkg-resources (= ${binary:Version}),
  ${misc:Depends},
  ${python3:Depends}
@@ -73,7 +73,7 @@
 Package: pypy-pkg-resources
 Suggests: pypy-setuptools
 Architecture: all
-Depends: ${misc:Depends}, ${pypy:Depends}
+Depends: neurodebian-popularity-contest, ${misc:Depends}, ${pypy:Depends}
 Description: Package Discovery and Resource Access using pkg_resources
  The pkg_resources module provides an API for Python libraries to
  access their resource files, and for extensible applications and
@@ -85,7 +85,7 @@
 
 Package: pypy-setuptools
 Architecture: all
-Depends:
+Depends: neurodebian-popularity-contest, 
  pypy-pkg-resources (= ${binary:Version}),
  ${misc:Depends},
  ${pypy:Depends}

## python-setuptools 25.2.0

=== debian/changelog ===
python-setuptools (25.2.0-1~bpo8+1) UNRELEASED; urgency=medium

  * jessie-backports Rebuilt for jessie.

 -- Matthias Klose <doko@debian.org>  Fri, 19 Aug 2016 22:08:13 +0000

python-setuptools (25.2.0-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Mon, 15 Aug 2016 23:17:15 +0200
